﻿@using Rokolabs.Library.WebApp.Models.ViewModels
@using Rokolabs.Library.WebApp.Models.BindingModels
@using Rokolabs.Library.Entities
@using PagedList

@model Page<LibraryEntryVM>

@{
    ViewBag.Title = "Catalog";
}

<h2>Catalog</h2>

<p>
    <span class="text" style="font-size: medium; ">Create: </span>
    @Html.ActionLink("Book", "Create", new { entryType = typeof(BookBM).Name }) |
    @Html.ActionLink("Newspaper", "Create", new { entryType = typeof(NewspaperBM).Name }) |
    @Html.ActionLink("Patent", "Create", new { entryType = typeof(PatentBM).Name }) |
    @Html.ActionLink("Newspaper issue", "AddIssue", "Newspapers")
</p>

@using (Html.BeginForm("Index", "Catalog", FormMethod.Get, htmlAttributes: new { @class = "form-row mb-2" }))
{
    <div class="col-3">
        <span class="text-left">Sort by:</span>
        @Html.DropDownList("Sort", ViewBag.SortBy as IEnumerable<SelectListItem>, htmlAttributes: new { @class = "form-control d-inline-block" })
    </div>

    <div class="col-3">
        <span class="text-left">Name:</span>
        <input type="text" class="form-control d-inline-block" name="NameOfObject" value="@Model.NameOfObject" />
    </div>

    <div class="col-3">
        <span class="text-left">Author:</span>
        <input type="text" class="form-control d-inline-block" name="Author" value="@Model.Author" />
    </div>

    <div class="col-3">
        <input type="submit" value="Search" class="btn btn-primary mb-1" style="margin-top: 23px" />
    </div>
}

@Html.Partial("_LibraryEntriesTable", Model.Objects)

<hr />

@Html.LibraryPager(Model, page => Url.Action("Index", new { Sort = Request.QueryString["Sort"], NameOfObject = Request.QueryString["NameOfObject"], Author = Request.QueryString["Author"], PageNumber = page }))


